Package Details: netease-musicbox-git r591.9d58201-4

Git Clone URL: https://aur.archlinux.org/netease-musicbox-git.git (read-only)
Package Base: netease-musicbox-git
Description: A sexy command line interface musicbox for NetEase based on Python
Upstream URL: https://github.com/darknessomi/musicbox
Keywords: music netease
Licenses: MIT
Conflicts: netease-musicbox
Provides: netease-musicbox
Submitter: farseerfc
Maintainer: farseerfc (lilac, axionl)
Last Packager: lilac
Votes: 17
Popularity: 0.267711
First Submitted: 2016-01-12 14:14
Last Updated: 2019-06-18 10:36

Dependencies (12)

Required by (0)

Sources (3)

Pinned Comments

farseerfc commented on 2017-07-05 06:06

@emlcj and to all: this package is now built as split packages for both python2 and python3 version. python2 version has more optdepends and therefore more additional features, while python3 version do not depend on python2 (obviously). Please instruct your aurhelper or makepkg to just install one version, not both, as they will conflict with each other.

Latest Comments

« First ‹ Previous 1 2

Sherlock-Holo commented on 2017-02-08 03:57

可选依赖有好多啊
可选功能依赖
aria2 用于缓存歌曲
python2-keybinder2 用于支持全局快捷键(没有测试)
libnotify 用于支持消息提示
pyqt python-dbus dbus qt 用于支持桌面歌词(这个暂不知道在arch里面具体是哪些,因为咱并没有开启桌面歌词成功

farseerfc commented on 2016-07-30 13:35

@TJM do you wish to update AUR automatically on every commit? lilac can do exactly this (which is annoying for some user)

TJM commented on 2016-07-30 07:39

The developers of netease-musicbox don't even know how to use "git tag" to release a new version, we have to check everything in "git log" manually.

farseerfc commented on 2016-03-31 11:02

@lili 更新了,不過 AUR 上的 vcs 包一般編譯過程不變的話,自己 makepkg 一下就會更新了,不需要改 PKGBUILD 吧

lili commented on 2016-03-31 05:38

2016-03-25 版本 0.2.2.1 可以更新吗?很感谢。

Aetf commented on 2015-09-14 14:34

python2-crypto is also required to run musicbox.

farseerfc commented on 2015-05-18 01:56

@proudzhu thanks and updated

proudzhu commented on 2015-03-29 15:42

Python2-setuptools is not only a make dependency,it is required to run musicbox.